---
apiVersion: certmanager.k8s.io/v1alpha1
kind: Certificate
metadata:
  name: corp-justin-tech-com
  namespace: nginx-ingress
spec:
  secretName: corp-justin-tech-com
  issuerRef:
    name: letsencrypt-production
    kind: ClusterIssuer
  commonName: 'justin-tech.com'
  dnsNames:
    - justin-tech.com
    - "*.justin-tech.com"
    - "*.corp.justin-tech.com"
  keySize: 4096
  keyAlgorithm: rsa
#  organization: 
#    - "Justin-Tech"
  acme:
    config:
    - dns01:
        provider: cf-dns
      domains:
        - justin-tech.com
        - "*.justin-tech.com"
        - "*.corp.justin-tech.com"
